<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.boman.report.mapper.MysqlTableMapper">



    <select id="getColumnNames" resultType="com.alibaba.fastjson.JSONObject">
        SELECT
            column_name
        FROM
            information_schema.COLUMNS
        WHERE
            table_name = #{tableName}
          AND table_schema =  #{dbName}
    </select>

</mapper>